#
# spec file for package rubygem-tilt
#
# Copyright (c) 2017 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rubygem-tilt
Version:        1.3.7
Release: 84.3
%define mod_name tilt
%define mod_full_name %{mod_name}-%{version}
%define mod_branch -%{version}
%define mod_weight 10307

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 3
BuildRequires:  rubygem(rdoc) > 3.10
BuildRequires:  update-alternatives
Url:            http://github.com/rtomayko/tilt/
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Summary:        Generic interface to multiple Ruby template engines
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Generic interface to multiple Ruby template engines.

%package doc
Summary:        RDoc documentation for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}

%description doc
Documentation generated at gem installation time.
Usually in RDoc and RI formats.

%package testsuite
Summary:        Test suite for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}

%description testsuite
Test::Unit or RSpec files, useful for developers.

%prep
#gem_unpack
#if you need patches, apply them here and replace the # with a % sign in the surrounding lines
#gem_build

%build

%install
%gem_install -f
mkdir -p %{buildroot}%{_sysconfdir}/alternatives
mv %{buildroot}%{_bindir}/tilt{,%{mod_branch}}
touch %{buildroot}%{_sysconfdir}/alternatives/tilt
ln -s %{_sysconfdir}/alternatives/tilt %{buildroot}%{_bindir}/tilt

mkdir -p %{buildroot}%{_docdir}/%{name}
ln -s %{gem_base}/gems/%{mod_full_name}/CHANGELOG.md %buildroot/%{_docdir}/%{name}/CHANGELOG.md
ln -s %{gem_base}/gems/%{mod_full_name}/COPYING %buildroot/%{_docdir}/%{name}/COPYING
ln -s %{gem_base}/gems/%{mod_full_name}/README.md %buildroot/%{_docdir}/%{name}/README.md

%post
/usr/sbin/update-alternatives --install \
    %{_bindir}/tilt tilt %{_bindir}/tilt%{mod_branch} %{mod_weight}

%preun
if [ "$1" = 0 ] ; then
    /usr/sbin/update-alternatives --remove tilt %{_bindir}/tilt%{mod_branch}
fi

%files
%defattr(-,root,root,-)
%{_docdir}/%{name}
%{_bindir}/tilt%{mod_branch}
%{_bindir}/tilt
%ghost %{_sysconfdir}/alternatives/tilt
%{gem_base}/cache/%{mod_full_name}.gem
%{gem_base}/gems/%{mod_full_name}/
%exclude %{gem_base}/gems/%{mod_full_name}/test
%{gem_base}/specifications/%{mod_full_name}.gemspec

%files doc
%defattr(-,root,root,-)
%doc %{gem_base}/doc

%files testsuite
%defattr(-,root,root,-)
%{gem_base}/gems/%{mod_full_name}/test

%changelog
